package org.remote.roadhog;

import java.util.*;

public class Html
{

	public static final String HEAD_TABLE_BACKGROUND = "bbbbff";
	public static final String NAV_TABLE_BACKGROUND = "ccccaa";

	public static String getStyleTag ()
	{
		StringBuffer t = new StringBuffer ();
		t.append ("<style type=\"text/css\">\n");
		t.append ("<!--\n");
		t.append ("body { margin: 2%; background: #ffffee; color: black; }\n");
		t.append ("p,td,th,h1,h2,h3,ul,ol,li,b,em,strong.dt,dd,dl { font-family: \"New Century Schoolbook\", Times, serif; color: black; }\n");
		t.append ("a:visited { color: #551A8B; }\n");
		t.append ("a:link { color: #0000EE; }\n");
		t.append ("//-->\n");
		t.append ("</style>\n");
		return (t.toString ());
	}

	public static String makeHeadTable (String contents, String lang, String url)
	{
		StringBuffer t = new StringBuffer ();
		t.append ("<table width=100% cellpadding=5><tr bgcolor=\"#");
		t.append (HEAD_TABLE_BACKGROUND);
		t.append ("\"><td><table width=100% cellspacing=0 cellpadding=0 border=0><tr><td>");
		t.append ("<font size=+2>");
		t.append ("<b>");
		t.append (contents);
		t.append ("</b>");
		t.append ("</font>");
		t.append ("</td><td align=right>");
		t.append ("<a href=\"");
		t.append (url);
		if (lang.equals ("en"))
		{
			t.append(".de\">Auf Deutsch</a>");
		}
		else
		{
			t.append(".en\">In English</a>");
		}
		t.append ("</td></tr></table></td></tr></table>");
		return (t.toString ());
	}

	public static String makeSubHeadTable (String contents)
	{
		StringBuffer t = new StringBuffer ();
		t.append ("<table width=100% cellpadding=5><tr bgcolor=\"#");
		t.append (HEAD_TABLE_BACKGROUND);
		t.append ("\"><td>");
		t.append ("<b>");
		t.append (contents);
		t.append ("</b>");
		t.append ("</td></tr></table>");
		return (t.toString ());
	}

	public static String makeNavTable (String left, String right)
	{
		StringBuffer t = new StringBuffer ();
		t.append ("<table width=100%><tr bgcolor=\"#");
		t.append (NAV_TABLE_BACKGROUND);
		t.append ("\"><td><table width=100% cellpadding=0 cellpadding=0><tr><td>");
		t.append (left);
		t.append ("</td><td align=right>");
		t.append (right);
		t.append ("</td></tr></table></td></tr></table>");
		return (t.toString ());
	}

	public static String insertNonBreakingSpaces (String source)
	{
		StringBuffer rv = new StringBuffer (source);
		for (int i=0; i<rv.length (); i++)
		{
			if (rv.charAt (i) == ' ')
			{
				rv.replace (i, i+1, "&nbsp;");
				i += 5;
			}
		}
		return rv.toString ();
	}

}


